Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class OpenTracMapSymbol

    java.lang.Object
      org.ka2ddo.opentrac.OpenTracElement
          org.ka2ddo.opentrac.OpenTracByteArray
              org.ka2ddo.opentrac.OpenTracMapSymbol

All Implemented Interfaces:
  java.io.Serializable

    public class OpenTracMapSymbol

extends OpenTracByteArray

This class specifies a map symbol element of an OpenTRAC entity within an OpenTRAC message.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ka2ddo.opentrac.OpenTracElement
`id`

Constructor Summary
`OpenTracMapSymbol()` Create an empty OpenTracMapSymbol element (no symbol value yet).
`OpenTracMapSymbol(int type, byte[] body, int offset, int length)` Create an OpenTracMapSymbol element from the byte stream (presumably from an encoded OpenTRAC message).
`OpenTracMapSymbol(java.lang.String symbolId)` Create an OpenTracMapSymbol element from the ASCII text representation of a map code, using either the dotted-decimal format or the packed hexadecimal format.

Method Summary
`java.lang.String` | `valueString()` Get the string representation of the value of this element.

Methods inherited from class org.ka2ddo.opentrac.OpenTracByteArray
`computeBody, equals, equals, getByteArray, hashCode, length, toString`

Methods inherited from class org.ka2ddo.opentrac.OpenTracElement
`getId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenTracMapSymbol

    public OpenTracMapSymbol()

  Create an empty OpenTracMapSymbol element (no symbol value yet).

### OpenTracMapSymbol

    public OpenTracMapSymbol(int type,
                             byte[] body,
                             int offset,
                             int length)

  Create an OpenTracMapSymbol element from the byte stream (presumably from an encoded OpenTRAC message).

  Parameters:
    `type` - OpenTRAC element type code from OpenTracTypes
    `body` - byte array to extract symbol code from
    `offset` - starting index in byte array for extraction
    `length` - length in bytes to extract
  See Also:
    `OpenTracTypes`

### OpenTracMapSymbol

    public OpenTracMapSymbol(java.lang.String symbolId)

  Create an OpenTracMapSymbol element from the ASCII text representation of a map code, using either the dotted-decimal format or the packed hexadecimal format.

  Parameters:
    `symbolId` - symbol code String

Method Detail

### valueString

    public java.lang.String valueString()

  Get the string representation of the value of this element.

  Overrides:
    `valueString` in class `OpenTracByteArray`
  Returns:
    value string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD